> ## Documentation Index
> Fetch the complete documentation index at: https://developer.hellgate.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Lists all api keys for the account



## OpenAPI

````yaml /products/commerce/v1/openapi.yaml get /configuration/accounts/{account_id}/keys
openapi: 3.1.0
info:
  license:
    name: Hellgate® API License
    url: https://starfish.team
  title: Commerce
  version: '0.1'
servers:
  - url: https://commerce1.on-hellgate.dev
    variables: {}
security:
  - mtls: []
  - api_key: []
tags: []
paths:
  /configuration/accounts/{account_id}/keys:
    get:
      tags:
        - keys
      summary: Lists all api keys for the account
      operationId: CommerceWeb.Configuration.KeyController.index
      parameters:
        - description: Account ID
          in: path
          name: account_id
          required: true
          schema:
            type: string
            x-struct: null
            x-validate: null
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KeysResponse'
          description: Success
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Error
      callbacks: {}
      security:
        - mtls: []
components:
  schemas:
    KeysResponse:
      items:
        $ref: '#/components/schemas/KeyResponse'
      title: KeysResponse
      type: array
      x-struct: Elixir.CommerceWeb.Schemas.KeysSchema.KeysResponse
      x-validate: null
    ErrorResponse:
      properties:
        classifier:
          type: string
          x-struct: null
          x-validate: null
        code:
          type: integer
          x-struct: null
          x-validate: null
        message:
          type: string
          x-struct: null
          x-validate: null
      required:
        - code
        - classifier
        - message
      title: ErrorResponse
      type: object
      x-struct: Elixir.CommerceWeb.Schemas.ErrorsSchema.ErrorResponse
      x-validate: null
    KeyResponse:
      properties:
        id:
          format: uuid
          type: string
          x-struct: null
          x-validate: null
        key_value:
          type: string
          x-struct: null
          x-validate: null
      required:
        - id
        - key_value
      title: KeyResponse
      type: object
      x-struct: Elixir.CommerceWeb.Schemas.KeysSchema.KeyResponse
      x-validate: null
  securitySchemes:
    mtls:
      description: >-
        Client certificate authentication via mTLS. Account-scoped routes
        additionally require the X-Account-ID header to identify the account.
      type: mutualTLS
    api_key:
      in: header
      name: X-API-Key
      type: apiKey

````